Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-4582

Fobidden API checker does not work with recent JDK 8 builds

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 4.0, 4.1, 6.0
    • Fix Version/s: None
    • Component/s: general/build
    • Labels:
    • Environment:

      JDK 8 build 65

    • Lucene Fields:
      New

      Description

      The forbidden API checker currently uses ASM 4.0 to do checks for calls to APIs, the Lucene developers don't like (those with default charsets).

      The Lucene classes are of course compiled with old (JDK 1.6) class file format, but the checker has to load also classes from rt.jar, shipped with the JDK. Unfortunately JDK 8 build 65 changed the class format (new version is 52.0), so the checker fails with an IllegalArgumentException while loading platform classes; see their bug tracker.

      The bug is not yet fixed in ASM 4.0 or 4.1, so I will disable the forbidden API checker in JDK 8 (until an update is released). I will keep this issue open until this is solved.

      I will also commit an update to version 4.1 of ASM.

        Attachments

        1. LUCENE-4582-workaround.patch
          2 kB
          Uwe Schindler
        2. LUCENE-4582-workaround.patch
          3 kB
          Uwe Schindler

          Activity

            People

            • Assignee:
              uschindler Uwe Schindler
              Reporter:
              uschindler Uwe Schindler
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: